function A = evolve(MAXIT, archive_size)

A = repmat([1, 0, 0], archive_size, 1);

clf
hist_distID = zeros(1,MAXIT);

for(k=1:MAXIT)
    % Generate random point and check 
    %x=-[1,1,1,1]+2*rnd(1,4);
    
    %Generate a point x on unit sphere
    x = randn(1,3);
    x = abs(x / norm(x));

    [A, hist_distID(k)] = archiveID(x,A,archive_size);

    subplot(2,1,1)
    scatter3(A(:,1), A(:,2), A(:,3), 'filled');
	view(132,36);
    subplot(2,1,2)
    plot(hist_distID(1:k))
	drawnow()
	k
%    pause
end